"use strict";
const common_vendor = require("../../../common/vendor.js");
const BILL_outstanding_fee_index_method = require("../index/method.js");
const BILL_outstanding_fee_index_model = require("../index/model.js");
require("../../../common/libraries/sendWxWork.js");
require("../../../common/libraries/naviHelper.js");
require("../../../common/libraries/apiLoading.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/store/useWatermarkStore.js");
require("../../../common/store/useWorkStore.js");
require("../../../common/libraries/day.js");
if (!Array) {
  const _easycom_up_search2 = common_vendor.resolveComponent("up-search");
  _easycom_up_search2();
}
const _easycom_up_search = () => "../../../node-modules/uview-plus/components/u-search/u-search.js";
if (!Math) {
  _easycom_up_search();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "HeaderSearch",
  setup(__props) {
    return (_ctx, _cache) => {
      var _a;
      return {
        a: common_vendor.o((_a = common_vendor.unref(BILL_outstanding_fee_index_method.method)) == null ? void 0 : _a.handleSearch),
        b: common_vendor.o(($event) => common_vendor.unref(BILL_outstanding_fee_index_model.useModel).formData.value.full_name = $event),
        c: common_vendor.p({
          placeholder: "请输入小区名称",
          showAction: false,
          modelValue: common_vendor.unref(BILL_outstanding_fee_index_model.useModel).formData.value.full_name
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-dfaa5c89"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/BILL/outstanding_fee/components/HeaderSearch.vue"]]);
wx.createComponent(Component);
